Bug 202864 - emulators/qemu-devel: build failure during patch phase
Summary: emulators/qemu-devel: build failure during patch phase
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sean Bruno
URL:
Keywords:
Depends on:
Blocks: 202402
  Show dependency treegraph
 
Reported: 2015-09-03 02:24 UTC by Jason Unovitch
Modified: 2015-09-04 17:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (nox)


Attachments
emulators/qemu-devel partially regen two patches (3.67 KB, patch)
2015-09-03 02:24 UTC, Jason Unovitch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Unovitch freebsd_committer 2015-09-03 02:24:40 UTC
Created attachment 160664 [details]
emulators/qemu-devel partially regen two patches

=======================<phase: patch          >============================
===>  Patching for qemu-devel-2.4.0
===>  Applying FreeBSD patches for qemu-devel-2.4.0
1 out of 5 hunks failed--saving rejects to configure.rej
1 out of 1 hunks failed--saving rejects to net/clients.h.rej
*** [post-patch] Error code 2

Stop in /usr/ports/emulators/qemu-devel.
Comment 1 Jason Unovitch freebsd_committer 2015-09-03 02:28:22 UTC
Ah, sorry. I thought that might be it and hit submit as soon as I validated clean patches.  This still is failing in the build phase.

...
a - libfdt/fdt_empty_tree.o
gmake[1]: Leaving directory '/wrkdirs/usr/ports/emulators/qemu-devel/work/qemu-2.4.0'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
Comment 2 commit-hook freebsd_committer 2015-09-03 17:40:29 UTC
A commit references this bug:

Author: sbruno
Date: Thu Sep  3 17:39:42 UTC 2015
New revision: 396024
URL: https://svnweb.freebsd.org/changeset/ports/396024

Log:
  Build fixes for 2.4.0
  - regenerate patch-pcap
  - Escape --extra-ldflags as it looks like the qemu builder is eating spaces
    or lines making it frustrating to use.

  PR:	202402 202536 202864

Changes:
  head/emulators/qemu-devel/Makefile
  head/emulators/qemu-devel/files/pcap-patch
Comment 3 Jason Unovitch freebsd_committer 2015-09-04 17:06:26 UTC
These additional changes do indeed resolve the build issues (see bug 202402 for logs).  I'm going to go ahead and mark it as fixed.
Comment 4 commit-hook freebsd_committer 2015-09-04 17:25:24 UTC
A commit references this bug:

Author: junovitch
Date: Fri Sep  4 17:24:39 UTC 2015
New revision: 396122
URL: https://svnweb.freebsd.org/changeset/ports/396122

Log:
  MFH: r395861 r396024 r394418 r395787 r396026

  r395861
  QEMU update to 2.4.0
  - remove patch files accepted and merge upstream
  - Add new vgabios-virtio

  r396024
  Build fixes for 2.4.0
  - regenerate patch-pcap
  - Escape --extra-ldflags as it looks like the qemu builder is eating spaces
    or lines making it frustrating to use.

  PR:	202402 202536 202864

  r394418
  Update qemu-sbruno to track bsd-user branch on github.  I *am* the
  upstream of this port and maintainer notified developers on 07/17/15 to
  update his ports while he is AFK.

  Sync's to pre-release 2.4.0

  Differential Revision:	https://reviews.freebsd.org/D3385

  r395787
  Build fix:
  - Remove etc/qemu/target-x86_64.conf.sample dropped by upstream
  - Add vgabios-virtio.bin

  r396026
  Fix Makefile so that those who want to use this port directly can still
  build.

  PR:	202536

  PR:		202402
  Security:	CVE-2015-5154
  Security:	CVE-2015-5165
  Security:	CVE-2015-5166
  Security:	da451130-365d-11e5-a4a5-002590263bf5
  Security:	f06f20dc-4347-11e5-93ad-002590263bf5
  Security:	ee99899d-4347-11e5-93ad-002590263bf5
  Approved by:	ports-secteam (feld), feld (mentor)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/emulators/qemu-devel/Makefile
  branches/2015Q3/emulators/qemu-devel/distinfo
  branches/2015Q3/emulators/qemu-devel/files/patch-90_security
  branches/2015Q3/emulators/qemu-devel/files/patch-CVE-2015-3209
  branches/2015Q3/emulators/qemu-devel/files/patch-CVE-2015-3456
  branches/2015Q3/emulators/qemu-devel/files/patch-include-qemu-aes.h
  branches/2015Q3/emulators/qemu-devel/files/patch-tapclose
  branches/2015Q3/emulators/qemu-devel/files/pcap-patch
  branches/2015Q3/emulators/qemu-devel/pkg-plist
  branches/2015Q3/emulators/qemu-sbruno/Makefile
  branches/2015Q3/emulators/qemu-sbruno/distinfo
  branches/2015Q3/emulators/qemu-sbruno/files/patch-CVE-2015-3209
  branches/2015Q3/emulators/qemu-sbruno/files/patch-include-qemu-aes.h
  branches/2015Q3/emulators/qemu-sbruno/pkg-plist